

layout(location = 0) in vec3 vert_os_pos;

uniform mat4 mvp;
uniform mat4 mat_objectToShadowmap;

uniform vec4 os_eyepos;

out vec4 v2f_pos_ls;
out vec4 v2f_pos_os;

void main()
{
	gl_Position =  mvp * vec4( vert_os_pos, 1 );
	v2f_pos_ls  = (mat_objectToShadowmap * vec4( vert_os_pos.xyz, 1 ) );
	v2f_pos_os = vec4( vert_os_pos.xyz, 1 );
}
